commit:     50dff11cb471b57291f9f8acf9ed7c9605229dce
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 29 07:50:04 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jul 29 07:50:04 2015 +0000
URL:        https://gitweb.gentoo.org/proj/betagarden.git/commit/?id=50dff11c

dev-vcs/git-cola: Import tree changes

Package-Manager: portage-2.2.20

 dev-vcs/git-cola/ChangeLog                         | 10 ++-
 dev-vcs/git-cola/files/README.gentoo               |  3 +
 ...atch => git-cola-9999-disable-live-tests.patch} |  9 ++-
 .../files/git-cola-9999-system-ssh-askpass.patch   | 16 ----
 .../git-cola-9999-update-git-config-in-tests.patch | 13 ++++
 dev-vcs/git-cola/git-cola-9999.ebuild              | 89 ++++++++++------------
 6 files changed, 69 insertions(+), 71 deletions(-)

diff --git a/dev-vcs/git-cola/ChangeLog b/dev-vcs/git-cola/ChangeLog
index 2d51921..b04b697 100644
--- a/dev-vcs/git-cola/ChangeLog
+++ b/dev-vcs/git-cola/ChangeLog
@@ -1,7 +1,14 @@
 # ChangeLog for dev-vcs/git-cola
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: /var/cvsroot/gentoo-x86/dev-vcs/cola/ChangeLog,v 1.8 2011/04/13 
19:00:02 jlec Exp $
 
+  29 Jul 2015; Justin Lecher <[email protected]> +files/README.gentoo,
+  +files/git-cola-9999-disable-live-tests.patch,
+  +files/git-cola-9999-update-git-config-in-tests.patch,
+  -files/git-cola-9999-disable-tests.patch,
+  -files/git-cola-9999-system-ssh-askpass.patch, git-cola-9999.ebuild:
+  dev-vcs/git-cola: Import tree changes
+
   11 Aug 2014; Justin Lecher <[email protected]> git-cola-9999.ebuild:
   Fix shebang fixing, #518306
 
@@ -133,4 +140,3 @@
   19 Jun 2009; Tiziano Müller <[email protected]>
   +files/1.3.8-disable-tests.patch, +cola-1.3.8.ebuild, +metadata.xml:
   Initial commit, moved over from my overlay (as requested in bug #274621).
-

diff --git a/dev-vcs/git-cola/files/README.gentoo 
b/dev-vcs/git-cola/files/README.gentoo
new file mode 100644
index 0000000..0f4af85
--- /dev/null
+++ b/dev-vcs/git-cola/files/README.gentoo
@@ -0,0 +1,3 @@
+Please make sure you have either a SSH key management installed and activated 
or
+installed a SSH askpass app like net-misc/x11-ssh-askpass.
+Otherwise git-cola may hang when pushing/pulling from remote git repositories 
via SSH.

diff --git a/dev-vcs/git-cola/files/git-cola-9999-disable-tests.patch 
b/dev-vcs/git-cola/files/git-cola-9999-disable-live-tests.patch
similarity index 71%
rename from dev-vcs/git-cola/files/git-cola-9999-disable-tests.patch
rename to dev-vcs/git-cola/files/git-cola-9999-disable-live-tests.patch
index 79f1ec2..2ebdc98 100644
--- a/dev-vcs/git-cola/files/git-cola-9999-disable-tests.patch
+++ b/dev-vcs/git-cola/files/git-cola-9999-disable-live-tests.patch
@@ -1,7 +1,8 @@
-diff -Naur cola-1.3.7.21.orig/test/git_test.py cola-1.3.7.21/test/git_test.py
---- cola-1.3.7.21.orig/test/git_test.py        2009-04-30 13:56:22.352319047 
+0200
-+++ cola-1.3.7.21/test/git_test.py     2009-04-30 13:56:53.123149963 +0200
-@@ -24,17 +24,6 @@
+diff --git a/test/git_test.py b/test/git_test.py
+index 9f812b2..ff7da24 100644
+--- a/test/git_test.py
++++ b/test/git_test.py
+@@ -53,17 +53,6 @@ class GitCommandTest(unittest.TestCase):
          version = self.git.version()[STDOUT]
          self.failUnless(version.startswith('git version'))
  

diff --git a/dev-vcs/git-cola/files/git-cola-9999-system-ssh-askpass.patch 
b/dev-vcs/git-cola/files/git-cola-9999-system-ssh-askpass.patch
deleted file mode 100644
index 0aa476f..0000000
--- a/dev-vcs/git-cola/files/git-cola-9999-system-ssh-askpass.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-diff --git a/cola/app.py b/cola/app.py
-index f9236de..4636c81 100644
---- a/cola/app.py
-+++ b/cola/app.py
-@@ -66,9 +66,9 @@ def setup_environment():
-     elif ssh_askpass:
-         askpass = ssh_askpass
-     elif sys.platform == 'darwin':
--        askpass = resources.share('bin', 'ssh-askpass-darwin')
-+        askpass = resources.prefix('bin', 'ssh-askpass-darwin')
-     else:
--        askpass = resources.share('bin', 'ssh-askpass')
-+        askpass = resources.prefix('bin', 'ssh-askpass')
- 
-     compat.setenv('GIT_ASKPASS', askpass)
-     compat.setenv('SSH_ASKPASS', askpass)

diff --git 
a/dev-vcs/git-cola/files/git-cola-9999-update-git-config-in-tests.patch 
b/dev-vcs/git-cola/files/git-cola-9999-update-git-config-in-tests.patch
new file mode 100644
index 0000000..96271d0
--- /dev/null
+++ b/dev-vcs/git-cola/files/git-cola-9999-update-git-config-in-tests.patch
@@ -0,0 +1,13 @@
+diff --git a/test/helper.py b/test/helper.py
+index 006a5b1..64d0dfc 100644
+--- a/test/helper.py
++++ b/test/helper.py
+@@ -87,6 +87,8 @@ class GitRepositoryTestCase(TmpPathTestCase):
+ 
+     def initialize_repo(self):
+         self.git('init')
++        self.git('config', '--local', 'user.name', 'Your Name')
++        self.git('config', '--local', 'user.email', '[email protected]')
+         self.touch('A', 'B')
+         self.git('add', 'A', 'B')
+ 

diff --git a/dev-vcs/git-cola/git-cola-9999.ebuild 
b/dev-vcs/git-cola/git-cola-9999.ebuild
index 12f7de6..9eefc58 100644
--- a/dev-vcs/git-cola/git-cola-9999.ebuild
+++ b/dev-vcs/git-cola/git-cola-9999.ebuild
@@ -1,16 +1,16 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
 EAPI=5
 
-PYTHON_COMPAT=( python{2_6,2_7,3_3} )
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
 DISTUTILS_SINGLE_IMPL=true
 
-inherit distutils-r1 git-r3
+inherit distutils-r1 git-r3 readme.gentoo virtualx
 
 DESCRIPTION="The highly caffeinated git GUI"
-HOMEPAGE="http://git-cola.github.com/";
+HOMEPAGE="http://git-cola.github.io/";
 SRC_URI=""
 EGIT_REPO_URI="git://github.com/git-cola/git-cola.git"
 
@@ -20,60 +20,66 @@ KEYWORDS=""
 IUSE="doc test"
 
 RDEPEND="
-       dev-python/jsonpickle[${PYTHON_USEDEP}]
        dev-python/pyinotify[${PYTHON_USEDEP}]
+       dev-python/send2trash[${PYTHON_USEDEP}]
        dev-python/PyQt4[${PYTHON_USEDEP}]
        dev-vcs/git"
 DEPEND="${RDEPEND}
-       app-text/asciidoc
-       app-text/xmlto
        sys-devel/gettext
-       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
-       test? (
-               dev-python/nose[${PYTHON_USEDEP}]
-               sys-apps/net-tools
-               )"
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               python_targets_python2_7? ( 
dev-python/sphinxtogithub[$(python_gen_usedep 'python2*')] )
+               )
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
 
 PATCHES=(
-       "${FILESDIR}"/${P}-disable-tests.patch
-       "${FILESDIR}"/${P}-system-ssh-askpass.patch
-       )
-
-pkg_pretend() {
-       if use test && [[ -z "$(hostname -d)" ]] ; then
-               die "Test will fail if no domain is set"
-       fi
-}
+       "${FILESDIR}"/${P}-disable-live-tests.patch
+)
 
 python_prepare_all() {
        rm share/git-cola/bin/*askpass* || die
 
-       # unfinished translate framework
+       # remove broken tests
        rm test/i18n_test.py || die
 
        # don't install docs into wrong location
-       sed -i \
-               -e '/doc/d' \
-               setup.py || die "sed failed"
+       sed -i -e '/doc/d' setup.py || die
 
+       # fix doc directory reference
        sed -i \
-               -e  "s|'doc', 'git-cola'|'doc', '${PF}'|" \
-               cola/resources.py || die "sed failed"
+               -e "s/'doc', 'git-cola'/'doc', '${PF}'/" \
+               cola/resources.py || die
+
+       # fix ssh-askpass directory reference
+       sed -i -e 's/resources\.share/resources\.prefix/' cola/app.py || die
 
        distutils-r1_python_prepare_all
 }
 
 python_compile_all() {
-       cd share/doc/${PN}/
-       if use doc ; then
+       cd share/doc/${PN}/ || die
+       if use doc; then
                emake all
        else
                sed \
                        -e '/^install:/s:install-html::g' \
+                       -e '/^install:/s:install-man::g' \
                        -i Makefile || die
        fi
 }
 
+python_test() {
+       PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="C" \
+       VIRTUALX_COMMAND="nosetests --verbose --with-id --with-doctest \
+               --exclude=sphinxtogithub" \
+       virtualmake
+}
+
+src_install() {
+       distutils-r1_src_install
+}
+
 python_install_all() {
        cd share/doc/${PN}/ || die
        emake \
@@ -82,26 +88,11 @@ python_install_all() {
                prefix="${EPREFIX}/usr" \
                install
 
-       if use doc ; then
-               HTML_DOCS=( share/doc/${PN}/_build/html/. )
-       else
-               HTML_DOCS=( "${FILESDIR}"/index.html )
-       fi
-
-       distutils-r1_python_install_all
-       docompress /usr/share/doc/${PF}/git-cola.txt
-
-       python_fix_shebang "${ED}"
-}
+       python_fix_shebang "${ED}/usr/share/git-cola/bin/git-xbase"
+       python_optimize "${ED}/usr/share/git-cola/lib/cola"
 
-python_test() {
-       PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="C" nosetests \
-               --verbose --with-doctest --with-id --exclude=jsonpickle 
--exclude=json \
-               || die "running nosetests failed"
-}
+       use doc || HTML_DOCS=( "${FILESDIR}"/index.html )
 
-pkg_postinst() {
-       elog "Please make sure you have either a SSH key management installed 
and activated or"
-       elog "installed a SSH askpass app like net-misc/x11-ssh-askpass."
-       elog "Otherwise ${PN} may hang when pushing/pulling from remote git 
repositories via SSH. "
+       distutils-r1_python_install_all
+       readme.gentoo_create_doc
 }

Reply via email to